## -c: Indicate as DBM Command

### Use

If you use a DBM option with optional parameters, then you have to separate these parameters logically from the subsequent DBM command. For this purpose, you insert the DBM option –c. The Database Manager CLI interprets all entries following –c as a DBM command.

### Syntax

-c <dbm_command>

### Example

Call the Database Manager CLI, log on as operator OLEG with password MONDAY, connect to the database instance DEMODB, start the backup operation using the backup template DemoDataCompl

Open the utility session with the operator data of the first DMB operator. You therefore enter the option for opening the utility session without parameters.

● If you do not specify -c between the optional parameters of the DBM option and the DBM command, the DBM command is interpreted as a user name/password combination for the DBM option –uUTL. The system displays an error message:

>dbmcli -u OLEG,MONDAY -d DEMODB –uUTL backup_start DemoDataCompl

ERR

-24996,ERR_PARAM: Wrong parameters

-24753,ERR_MISSDBUSRPWD: Missing database, user or password

● You mark the beginning of the DBM command with the option –c. The DBM command is executed successfully:

>dbmcli -u OLEG,MONDAY -d DEMODB –uUTL –c backup_start DemoDataCompl

OK

Returncode 0

Date 20060418

Time 00131245

Server GENUA

Database DEMODB

Kernel Version Kernel 7.6.00 Build 016-123-109-428

...

...